Bug 1771173 - Review Request: xournalpp - Handwriting note-taking software with PDF annotation support
Summary: Review Request: xournalpp - Handwriting note-taking software with PDF annotat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-11 22:13 UTC by Luya Tshimbalanga
Modified: 2020-01-05 00:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-03 20:35:47 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Luya Tshimbalanga 2019-11-11 22:13:44 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/luya/xournalpp/fedora-rawhide-x86_64/01092000-xournalpp/xournalpp.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/luya/xournalpp/fedora-rawhide-x86_64/01092000-xournalpp/xournalpp-1.0.15-1.fc32.src.rpm
Description: Xournal++ is a handwriting note-taking software with PDF annotation support.
Supports Pen input like Wacom Tablets
Fedora Account System Username: luya

Comment 1 leigh scott 2019-11-12 07:47:10 UTC
Change this from

BuildRequires:  cmake >= 3.10

to

BuildRequires:  cmake3 >= 3.10


and this

%build
%cmake
%make_build

to

%build
%cmake3
%make_build


You also need to validate the appdata file

https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/#_app_data_validate_usage

Also change the source url from

URL:            https://github.com/%{name}/%{name}
Source0:        https://github.com/%{name}/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

to

URL:            https://github.com/xournalpp/xournalpp
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

It makes it easier to read and navigate to the url


Also there is no need to use %{name}-%{version} in setup, change

%prep
%autosetup -n %{name}-%{version}

to

%prep
%autosetup

Comment 2 Luya Tshimbalanga 2019-11-13 04:00:02 UTC
(In reply to leigh scott from comment #1)
> Change this from
> 
> BuildRequires:  cmake >= 3.10
> 
> to
> 
> BuildRequires:  cmake3 >= 3.10
> 
> 
> and this
> 
> %build
> %cmake
> %make_build
> 
> to
> 
> %build
> %cmake3
> %make_build
> 
Done


> 
> You also need to validate the appdata file
> 
> https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/
> #_app_data_validate_usage
> 

Good catch. Appdata is included upstream and validation is applied.


> Also change the source url from
> 
> URL:            https://github.com/%{name}/%{name}
> Source0:       
> https://github.com/%{name}/%{name}/archive/%{version}.tar.gz#/%{name}-
> %{version}.tar.gz
> 
> to
> 
> URL:            https://github.com/xournalpp/xournalpp
> Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
> 
> It makes it easier to read and navigate to the url
> 

Given the name of the project and its team are identical, I keep the %{name} for URL path and use %{url} for the Source0.
 
> Also there is no need to use %{name}-%{version} in setup, change
> 
> %prep
> %autosetup -n %{name}-%{version}
> 
> to
> 
> %prep
> %autosetup

Done.

Here is the updated
SPEC: https://copr-be.cloud.fedoraproject.org/results/luya/xournalpp/fedora-rawhide-x86_64/01092904-xournalpp/xournalpp.spec
SPRMS: https://copr-be.cloud.fedoraproject.org/results/luya/xournalpp/fedora-rawhide-x86_64/01092904-xournalpp/xournalpp-1.0.15-2.fc32.src.rpm

Comment 4 Elliott Sales de Andrade 2019-11-27 07:51:57 UTC
Your dynamic build requirements are not dynamic, so there's no point to adding them on Fedora 31+.

These directories are not owned:
* /usr/share/locale/tlh_AA/LC_MESSAGES
* /usr/share/locale/tlh_AA
* /usr/share/mimelnk
* /usr/share/mimelnk/application
* /usr/share/xournalpp

Don't think the first two are valid; for mimelnk use Requires:kde-filesystem; for xournalpp, you need to own it.

Rpmlint
-------
Checking: xournalpp-1.0.16-1.fc32.x86_64.rpm
          xournalpp-debuginfo-1.0.16-1.fc32.x86_64.rpm
          xournalpp-debugsource-1.0.16-1.fc32.x86_64.rpm
          xournalpp-1.0.16-1.fc32.src.rpm
xournalpp.x86_64: W: spelling-error %description -l en_US Xournal -> Journal
xournalpp.x86_64: W: incoherent-version-in-changelog 1.0.16.1 ['1.0.16-1.fc32', '1.0.16-1']
xournalpp.x86_64: E: non-executable-script /usr/share/xournalpp/ui/icons/hicolor/update-icon-cache.sh 644 /bin/bash 
xournalpp.x86_64: E: non-executable-script /usr/share/xournalpp/ui/iconsDark/hicolor/update-icon-cache.sh 644 /bin/bash 
xournalpp.x86_64: W: no-manual-page-for-binary xournal-thumbnailer
xournalpp.x86_64: W: no-manual-page-for-binary xournalpp
xournalpp.x86_64: E: invalid-lc-messages-dir /usr/share/locale/tlh_AA/LC_MESSAGES/xournalpp.mo
xournalpp.src: W: spelling-error %description -l en_US Xournal -> Journal
xournalpp.src:42: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 42)
4 packages and 0 specfiles checked; 3 errors, 6 warnings.


The /usr/share/xournalpp/ui/icons/hicolor/ directory seems wrong. Shouldn't those icons be in /usr/share/icons/hicolor? And the scripts and cache should be left out. Possibly same with the pixmaps directory.

Comment 5 Ben Cotton 2019-11-27 14:21:11 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Felix Schwarz 2019-11-27 14:34:08 UTC
bad EOL bot

Comment 7 Luya Tshimbalanga 2019-12-10 05:58:32 UTC
(In reply to Elliott Sales de Andrade from comment #4)
> Your dynamic build requirements are not dynamic, so there's no point to
> adding them on Fedora 31+.


Updated package
SPECS: https://copr-be.cloud.fedoraproject.org/results/luya/xournalpp/fedora-rawhide-x86_64/01127200-xournalpp/xournalpp.spec
SRPMS: https://copr-be.cloud.fedoraproject.org/results/luya/xournalpp/fedora-rawhide-x86_64/01127200-xournalpp/xournalpp-1.0.16-2.fc32.src.rpm

Comment 8 Robert-André Mauchin 🐧 2019-12-10 21:28:32 UTC
 - Add a Requires: hicolor-icon-theme for owning the icons directory

 - You need to validate the desktop file too:

BuildRequires: desktop-file-utils

[…]

desktop-file-validate %{buildroot}%{_datadir}/applications/com.github.%{name}.%{name}.desktop

 - Split %{_datadir}/%{name} into a separate noarch data subpackage and Requires it from the main package:

[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 2099200 bytes in /usr/share



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GPL (v2 or later)", "GPL (v3 or
     later)", "BSD 3-clause "New" or "Revised" License", "*No copyright*
     Boost Software License (v1.0) Boost Software License 1.0", "GPL (v2 or
     later) (with incorrect FSF address)", "GNU Lesser General Public
     License (v2 or later)". 882 files have unknown license. Detailed
     output of licensecheck in /home/bob/packaging/review/xournalpp/review-
     xournalpp/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 2099200 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xournalpp-1.0.16-2.fc32.x86_64.rpm
          xournalpp-debuginfo-1.0.16-2.fc32.x86_64.rpm
          xournalpp-debugsource-1.0.16-2.fc32.x86_64.rpm
          xournalpp-1.0.16-2.fc32.src.rpm
xournalpp.x86_64: W: spelling-error %description -l en_US Xournal -> Journal
xournalpp.x86_64: W: no-manual-page-for-binary xournal-thumbnailer
xournalpp.x86_64: W: no-manual-page-for-binary xournalpp
xournalpp.src: W: spelling-error %description -l en_US Xournal -> Journal
xournalpp.src:41: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 41)
4 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 9 Luya Tshimbalanga 2019-12-13 08:04:52 UTC
(In reply to Robert-André Mauchin from comment #8)
>  - Add a Requires: hicolor-icon-theme for owning the icons directory
> 
>  - You need to validate the desktop file too:
> 
> BuildRequires: desktop-file-utils
> 
> […]
> 
> desktop-file-validate
> %{buildroot}%{_datadir}/applications/com.github.%{name}.%{name}.desktop
> 

Fixed.



>  - Split %{_datadir}/%{name} into a separate noarch data subpackage and
> Requires it from the main package:
> 
> [!]: Large data in /usr/share should live in a noarch subpackage if package
>      is arched.
>      Note: Arch-ed rpms have a total of 2099200 bytes in /usr/share
> 
> 
Split done for ui and plugisn.

Updated files
SPECS: https://copr-be.cloud.fedoraproject.org/results/luya/xournalpp/fedora-rawhide-x86_64/01128644-xournalpp/xournalpp.spec
SRPMS: https://copr-be.cloud.fedoraproject.org/results/luya/xournalpp/fedora-rawhide-x86_64/01128644-xournalpp/xournalpp-1.0.16-3.fc32.src.rpm

Comment 10 Robert-André Mauchin 🐧 2019-12-13 15:37:06 UTC
 - You're including the data twice by having %{_datadir}/%{name} in the main package

%files -f %{name}.lang
%license LICENSE
%doc README.md AUTHORS
%{_bindir}/xournal-thumbnailer
%{_bindir}/%{name}
%{_datadir}/applications/com.github.%{name}.%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/com.github.%{name}.%{name}.svg
%{_datadir}/icons/hicolor/scalable/mimetypes/*
%{_datadir}/mime/packages/com.github.%{name}.%{name}.xml
%exclude %{_datadir}/mimelnk/application/*
%{_datadir}/thumbnailers/com.github.%{name}.%{name}.thumbnailer
%{_datadir}/%{name} <----
%{_metainfodir}/com.github.%{name}.%{name}.appdata.xml

%files plugins
%{_datadir}/%{name}/plugins

%files ui
%{_datadir}/%{name}/ui

Change it to %dir %{_datadir}/%{name} to just own the directory

Also the main package should Requires the ui and plugins subpackages for them to be installed altogether.

Comment 11 Luya Tshimbalanga 2019-12-14 05:57:00 UTC
(In reply to Robert-André Mauchin from comment #10)
>  - You're including the data twice by having %{_datadir}/%{name} in the main
> package
> 
> %files -f %{name}.lang
> %license LICENSE
> %doc README.md AUTHORS
> %{_bindir}/xournal-thumbnailer
> %{_bindir}/%{name}
> %{_datadir}/applications/com.github.%{name}.%{name}.desktop
> %{_datadir}/icons/hicolor/scalable/apps/com.github.%{name}.%{name}.svg
> %{_datadir}/icons/hicolor/scalable/mimetypes/*
> %{_datadir}/mime/packages/com.github.%{name}.%{name}.xml
> %exclude %{_datadir}/mimelnk/application/*
> %{_datadir}/thumbnailers/com.github.%{name}.%{name}.thumbnailer
> %{_datadir}/%{name} <----

Good catch. Fixed
> 
> Change it to %dir %{_datadir}/%{name} to just own the directory
> 
> Also the main package should Requires the ui and plugins subpackages for
> them to be installed altogether.

Done.

Updated files
SPECS: https://copr-be.cloud.fedoraproject.org/results/luya/xournalpp/fedora-rawhide-x86_64/01129170-xournalpp/xournalpp.spec
SRPMS: https://copr-be.cloud.fedoraproject.org/results/luya/xournalpp/fedora-rawhide-x86_64/01129170-xournalpp/xournalpp-1.0.16-4.fc32.x86_64.rpm

Comment 12 Robert-André Mauchin 🐧 2019-12-15 17:34:48 UTC
Package approved.

Comment 13 Luya Tshimbalanga 2019-12-16 07:58:05 UTC
(In reply to Robert-André Mauchin from comment #12)
> Package approved.

Thank you!

Comment 14 Gwyn Ciesla 2019-12-16 14:32:23 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/xournalpp

Comment 15 Fedora Update System 2019-12-17 01:00:22 UTC
FEDORA-2019-f29b3556a6 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f29b3556a6

Comment 16 Fedora Update System 2019-12-17 04:01:22 UTC
FEDORA-2019-77d811c0ca has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-77d811c0ca

Comment 17 Fedora Update System 2019-12-17 04:01:24 UTC
FEDORA-2019-95c0785fdc has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-95c0785fdc

Comment 18 Fedora Update System 2019-12-17 05:33:00 UTC
FEDORA-2019-cb6a443378 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cb6a443378

Comment 19 Fedora Update System 2019-12-17 05:33:01 UTC
FEDORA-2019-a8404911a9 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a8404911a9

Comment 20 Fedora Update System 2019-12-18 01:25:20 UTC
xournalpp-1.0.16-7.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a8404911a9

Comment 21 Fedora Update System 2019-12-18 02:08:42 UTC
xournalpp-1.0.16-7.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cb6a443378

Comment 22 Dario Lesca 2019-12-18 15:20:54 UTC
This package (xournalpp) substitute previous old package xournal?

I have try to update xournal with this command:

sudo yum update --enablerepo updates-testing xournal

But it's not updatable.

I have must uninstall xournal and install xournalpp

Is this correct?
Thanks
Dario

Comment 23 Luya Tshimbalanga 2019-12-18 15:30:39 UTC
(In reply to Dario Lesca from comment #22)
> This package (xournalpp) substitute previous old package xournal?
> 
> I have try to update xournal with this command:
> 
> sudo yum update --enablerepo updates-testing xournal
> 
> But it's not updatable.
> 
> I have must uninstall xournal and install xournalpp
> 
> Is this correct?
> Thanks
> Dario

You can install xournalpp along xournal if you like. 
You can use xournalpp as a substitute. The original author of xournal even recommends it.

Comment 24 Fedora Update System 2020-01-03 20:35:47 UTC
xournalpp-1.0.16-7.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2020-01-05 00:40:04 UTC
xournalpp-1.0.16-7.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.